Eclipse Platform Release 3.7

## org.eclipse.ui.branding
Interface IProductConstants

    public interface IProductConstants

These constants define the set of properties that the UI expects to be available via `IProduct.getProperty(String)`.

Since:
  3.0
See Also:
  `IProduct.getProperty(String)`

Field Summary
`static String` `ABOUT_IMAGE` An image which can be shown in an "about" dialog for this product.
`static String` `ABOUT_TEXT` The text to show in an "about" dialog for this product.
`static String` `APP_NAME` The SWT application name, used to initialize the SWT Display.
`static String` `PREFERENCE_CUSTOMIZATION` A file for customizing default preference values for a product.
`static String` `STARTUP_FOREGROUND_COLOR` The foreground color to be used when reporting progress at startup.
`static String` `STARTUP_MESSAGE_RECT` The rectangle relative to the splash image's top left corner where messages for reporting progress at startup should be shown.
`static String` `STARTUP_PROGRESS_RECT` The rectangle relative to the splash image's top left corner where the progress bar for reporting progress at startup should be shown.
`static String` `WELCOME_PAGE` The product's welcome page (special XML-based format).
`static String` `WINDOW_IMAGE` Deprecated. use WINDOW_IMAGES instead (see recommendations there)
`static String` `WINDOW_IMAGES` An array of one or more images to be used for this product.

Field Detail

### APP_NAME

    static final String APP_NAME

  The SWT application name, used to initialize the SWT Display.

  This value is used to refer to the application in .XDefaults files on X server based window systems such as Motif.

  To obtain a human-readable name for the product, use `IProduct.getName()`.

  See Also:
    `Display.setAppName(java.lang.String)`, Constant Field Values

### ABOUT_TEXT

    static final String ABOUT_TEXT

  The text to show in an "about" dialog for this product. Products designed to run "headless" typically would not have such text.

  See Also:
    Constant Field Values

### ABOUT_IMAGE

    static final String ABOUT_IMAGE

  An image which can be shown in an "about" dialog for this product. Products designed to run "headless" typically would not have such an image.

  The value is either a fully qualified valid URL or a path relative to the product's defining bundle.

  A full-sized product image (no larger than 500x330 pixels) is shown without the "aboutText" blurb. A half-sized product image (no larger than 250x330 pixels) is shown with the "aboutText" blurb beside it.

  See Also:
    Constant Field Values

### PREFERENCE_CUSTOMIZATION

    static final String PREFERENCE_CUSTOMIZATION

  A file for customizing default preference values for a product. The value is interpreted as either a URL or a bundle-relative path by the runtime. This is not referenced from the workbench.

  The contents must be the same format as a `Properties` file with the key/value pairs being:

       qualifier/key=value

  Where `qualifier` is typically the bundle id.

  See Also:
    Constant Field Values

### WINDOW_IMAGE

    static final String WINDOW_IMAGE

  Deprecated. use WINDOW_IMAGES instead (see recommendations there)
  An image to be used as the window icon for this product (16x16). Products designed to run "headless" typically would not have such an image.

  The value is either a fully qualified valid URL or a path relative to the product's defining bundle.

  If the `WINDOW_IMAGES` property is given, then it supercedes this one.

  See Also:
    Constant Field Values

### WINDOW_IMAGES

    static final String WINDOW_IMAGES

  An array of one or more images to be used for this product. The expectation is that the array will contain the same image rendered at different sizes (16x16 and 32x32). Products designed to run "headless" typically would not have such images.

  The value is a comma-separated list of paths, where each path is either a fully qualified valid URL or a path relative to the product's defining bundle.

  If this property is given, then it supercedes `WINDOW_IMAGE`.

  It is recommended that products use `WINDOW_IMAGES` rather than `WINDOW_IMAGE`, and specify both a 16x16 image and a 32x32 image, to ensure that different sizes of the image are available for different uses in the OS. For example, on Windows, the 16x16 image is used in the corner of the window and in the task tray, but the 32x32 image is used in the Alt+Tab application switcher.

  See Also:
    Constant Field Values

### WELCOME_PAGE

    static final String WELCOME_PAGE

  The product's welcome page (special XML-based format).

  The value is either a fully qualified valid URL or a path relative to the product's defining bundle.

  Products designed to run "headless" typically would not have such a page. Use of this property is discouraged in 3.0, the new `org.eclipse.ui.intro` extension point should be used instead.

  See Also:
    Constant Field Values

### STARTUP_PROGRESS_RECT

    static final String STARTUP_PROGRESS_RECT

  The rectangle relative to the splash image's top left corner where the progress bar for reporting progress at startup should be shown. Products designed to run "headless" typically would not define this property.

  The value is a comma-separated list of four integer values, specifying x, y, width, and height of the rectangle in pixel coordinates.

  Since:
    3.2
  See Also:
    `IWorkbenchPreferenceConstants.SHOW_PROGRESS_ON_STARTUP`, Constant Field Values

### STARTUP_MESSAGE_RECT

    static final String STARTUP_MESSAGE_RECT

  The rectangle relative to the splash image's top left corner where messages for reporting progress at startup should be shown. Products designed to run "headless" typically would not define this property.

  The value is a comma-separated list of four integer values, specifying x, y, width, and height of the rectangle in pixel coordinates.

  Since:
    3.2
  See Also:
    `IWorkbenchPreferenceConstants.SHOW_PROGRESS_ON_STARTUP`, Constant Field Values

### STARTUP_FOREGROUND_COLOR

    static final String STARTUP_FOREGROUND_COLOR

  The foreground color to be used when reporting progress at startup. Products designed to run "headless" typically would not define this property.

  The value is a six-digit hexadecimal number. The first two digits specify the red component of the color, the next two digits the green component, and the last two digits the blue component.

  Since:
    3.2
  See Also:
    `IWorkbenchPreferenceConstants.SHOW_PROGRESS_ON_STARTUP`, Constant Field Values

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.